using Microsoft.EntityFrameworkCore;
using Demo.Data.RemoteData.RemoteDataBase.DAO; // Используйте правильное пространство имен

namespace Demo.Data.RemoteData.RemoteDataBase
{
    public class RemoteDatabaseContext : DbContext
    {
        public DbSet<User> Users { get; set; }
        public DbSet<Group> Groups { get; set; }
        public DbSet<Presence> Presence { get; set; }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseNpgsql("Host=45.67.56.214;Port=5421;Username=user5;Database=user5;Password=EtEJqhsf");
        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<Presence>()
                .HasKey(p => p.Id); // Указание первичного ключа

            modelBuilder.Entity<Group>()
                .HasKey(g => g.Id); // Указание первичного ключа
        }
    }
}